/*
    PIP - Platform Independent Primitives
    Bit array
    Ivan Pelipenko peri4ko@yandex.ru

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "pibitarray.h"

#include "picout.h"


PICout operator<<(PICout s, const PIBitArray & ba) {
	s.space();
	s.saveAndSetControls(0);
	for (uint i = 0; i < ba.bitSize(); ++i) {
		s << int(ba[i]);
		if (i % 8 == 7) s << ' ';
	}
	s.restoreControls();
	return s;
}

#ifdef PIP_STD_IOSTREAM
std::ostream & operator<<(std::ostream & s, const PIBitArray & ba) {
	for (uint i = 0; i < ba.bitSize(); ++i) {
		s << ba[i];
		if (i % 8 == 7) s << ' ';
	}
	return s;
}
#endif
